import { EMFileMessageBody } from "libhyphenate.so";
export class EMImageSize {
    constructor();
    constructor(m13: number, n13: number);
    width: number;
    height: number;
}
export class EMImageMessageBody extends EMFileMessageBody {
    constructor(k13: string, l13: string);
    type: () => number;
    setDisplayName: (displayName: string) => void;
    displayName: () => string;
    setLocalPath: (localPath: string) => void;
    localPath: () => string;
    setRemotePath: (remotePath: string) => void;
    remotePath: () => string;
    setSecretKey: (secretKey: string) => void;
    secretKey: () => string;
    setFileLength: (fileLength: number) => void;
    fileLength: () => number;
    setDownloadStatus: (downloadStatus: number) => void;
    downloadStatus: () => number;
    setThumbnailDisplayName: (thumbnailDisplayName: string) => void;
    thumbnailDisplayName: () => string;
    setThumbnailLocalPath: (thumbnailLocalPath: string) => void;
    thumbnailLocalPath: () => string;
    setThumbnailRemotePath: (thumbnailRemotePath: string) => void;
    thumbnailRemotePath: () => string;
    setThumbnailSecretKey: (thumbnailSecretKey: string) => void;
    thumbnailSecretKey: () => string;
    setThumbnailSize: (size: EMImageSize) => void;
    thumbnailSize: () => EMImageSize;
    setThumbnailFileLength: (thumbnailFileLength: number) => void;
    thumbnailFileLength: () => number;
    setThumbnailDownloadStatus: (thumbnailDownloadStatus: number) => void;
    thumbnailDownloadStatus: () => number;
    setSize: (size: EMImageSize) => void;
    size: () => EMImageSize;
    operationTime: () => number;
    operatorId: () => string;
    operationCount: () => number;
}
